MultiProfileItemGui = MultiProfileItemGui or class()
function MultiProfileItemGui:init(ws, panel)
	self._ws = ws
	self._panel = self._panel or panel:panel({
		w = 280,
		h = 36 + self.quick_panel_h
	})

	self._panel:set_bottom(panel:bottom() - 4)
	self._panel:set_center_x(panel:w() / 2)

	self._profile_panel = self._profile_panel or self._panel:panel({
		w = 280,
		h = 36,
		y = self.quick_panel_h
	})

	self._profile_panel:rect({
		alpha = 0.4,
		layer = -100,
		color = Color.black
	})

	self._box_panel = self._profile_panel:panel()
	self._box = BoxGuiObject:new(self._box_panel, {sides = {
		1,
		1,
		1,
		1
	}})

	if managers.menu:is_pc_controller() then
		self._panel:set_w(self._panel:w() + self._profile_panel:h())

		self._quick_select_panel = self._quick_select_panel or self._panel:panel({
			w = self._profile_panel:h(),
			h = self._profile_panel:h()
		})

		self._quick_select_panel:set_left(self._profile_panel:right())
		self._quick_select_panel:set_top(self._profile_panel:top())

		if not self._quick_select_panel_elements then
			self._quick_select_panel_elements = {}

			table.insert(self._quick_select_panel_elements, self._quick_select_panel:rect({
				h = 3,
				y = 7,
				w = 5,
				x = 5,
				color = tweak_data.screen_colors.button_stage_3
			}))
			table.insert(self._quick_select_panel_elements, self._quick_select_panel:rect({
				h = 3,
				y = 7,
				w = 16,
				x = 12,
				color = tweak_data.screen_colors.button_stage_3
			}))
			table.insert(self._quick_select_panel_elements, self._quick_select_panel:rect({
				h = 3,
				y = 13,
				w = 5,
				x = 5,
				color = tweak_data.screen_colors.button_stage_3
			}))
			table.insert(self._quick_select_panel_elements, self._quick_select_panel:rect({
				h = 3,
				y = 13,
				w = 16,
				x = 12,
				color = tweak_data.screen_colors.button_stage_3
			}))
			table.insert(self._quick_select_panel_elements, self._quick_select_panel:rect({
				h = 3,
				y = 19,
				w = 5,
				x = 5,
				color = tweak_data.screen_colors.button_stage_3
			}))
			table.insert(self._quick_select_panel_elements, self._quick_select_panel:rect({
				h = 3,
				y = 19,
				w = 16,
				x = 12,
				color = tweak_data.screen_colors.button_stage_3
			}))
			table.insert(self._quick_select_panel_elements, self._quick_select_panel:rect({
				h = 3,
				y = 25,
				w = 5,
				x = 5,
				color = tweak_data.screen_colors.button_stage_3
			}))
			table.insert(self._quick_select_panel_elements, self._quick_select_panel:rect({
				h = 3,
				y = 25,
				w = 16,
				x = 12,
				color = tweak_data.screen_colors.button_stage_3
			}))
		end

		self._quick_select_panel:rect({
			alpha = 0.4,
			layer = -100,
			color = Color.black
		})
		BoxGuiObject:new(self._quick_select_panel:panel(), {sides = {
			0,
			1,
			4,
			4
		}})
	end

	self._caret = self._profile_panel:rect({
		blend_mode = "add",
		name = "caret",
		h = 0,
		y = 0,
		w = 0,
		x = 0,
		color = Color(0.1, 1, 1, 1)
	})
	self._max_length = 30
	self._name_editing_enabled = true

	self:update()
end
if UpdateThisMod then
	UpdateThisMod:Add({
		mod_id = 'Oh Shit! More Profiles',
		data = {
			modworkshop_id = 17609
		}
	})
	UpdateThisMod:Loop()
end